Bug 439318 - rename software transaction viewer
rename software transaction viewer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 21:49 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 15:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-03-27 21:49:32 EDT
Description of problem:

"Software transcation viewer" isn't a very meaningful description nor it is
easily translated. Maybe something like "Software Log" is better. The word
"transaction" occurs in relationship to PackageKit in more than one occasion.
Those need to be reviewed and better wordings chosen. Another example is the
cryptic message from g-p-m when I try to suspend with a "transcation" running. I
am not sure whether that comes from g-p-m or PackageKit.
Comment 1 Matthias Clasen 2008-03-27 23:29:18 EDT
The window title is "Update history" in git, and it is accessible from the
update viewer. We should just nuke the separate menuitem for it.

Comment 2 Richard Hughes 2008-03-28 08:46:22 EDT
I've added upstream NotShowIn=GNOME;KDE;XFCE; on advice of Matthias, so that it
won't show up by default in the menus, but still can be added manually if needed
using the menu editor.

The other text you are seeing is:


ret = dbus_g_proxy_call (inhibit->priv->proxy_gpm, "Inhibit", &error,
			 G_TYPE_STRING, _("Software Update Applet"),
			 G_TYPE_STRING, _("A transaction that cannot be interrupted is running"),
			 G_TYPE_INVALID,
			 G_TYPE_UINT, &inhibit->priv->cookie,
			 G_TYPE_INVALID);

I agree it isn't very clear. Better ideas welcome.

Comment 3 Matthias Clasen 2008-04-10 15:12:41 EDT
I think we should close this bug, as the main purpose has been met. 
Ongoing language improvements throughout PK don't need to be tracked on a
word-by-word basis in bugzilla.

Note You need to log in before you can comment on or make changes to this bug.